%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name Image_Color

Name:           php-pear-Image-Color
Version:        1.0.4
Release:        11%{?dist}
Summary:        Manage and handles color data and conversions

Group:          Development/Libraries
License:        LGPLv2

URL:            http://pear.php.net/package/Image_Color
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz

# https://github.com/pear/Image_Color/commit/ae130396859c7cbb3e15d02bc1f2f561db9f67e8
# https://github.com/pear/Image_Color/commit/ea9cb3e57177c931ac484f69ee3ceaa196636311
Patch1:         Image_Color-git.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  php-pear
# For test suite
BuildRequires:  php-pear(pear.phpunit.de/PHPUnit)

Requires:       php-pear(PEAR)
Requires:       php-gd
Requires(post): %{__pear}
Requires(postun): %{__pear}

Provides:       php-pear(%{pear_name}) = %{version}


%description
%{summary}.


%prep
%setup -qc

cd %{pear_name}-%{version}
# Package.xml is V2
mv ../package.xml %{name}.xml

%patch1 -p1 -b .orig


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
rm -rf $RPM_BUILD_ROOT
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{name}.xml

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_metadir}/.??*

# Install XML package description
install -d $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%check
# error_reporting = E_ALL & ~E_STRICT & ~E_DEPRECATED = 22527
cd %{pear_name}-%{version}
phpunit \
   -d date.timezone=UTC \
   -d error_reporting=22527 \
    Tests


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/Image


%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Jan 18 2014 Remi Collet <remi@fedoraproject.org> - 1.0.4-9
- set error_reporting during test

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Feb 19 2013 Remi Collet <remi@fedoraproject.org> - 1.0.4-7
- fix metadata location

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jan 16 2012 Remi Collet <remi@fedoraproject.org> - 1.0.4-4
- fix from GIT for test suite

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Aug 15 2010 Remi Collet <Fedora@FamilleCollet.com> - 1.0.4-1
- Upstream relicensing under LGPL 2.1.
- add %%check
- rename Image_Color.xml to php-pear-Image-Color.xml
- set date.timezone during build

* Mon Sep 07 2009 Christopher Stone <chris.stone@gmail.com> 1.0.3-1
- Upstream sync

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Oct 23 2008 Christopher Stone <chris.stone@gmail.com> 1.0.2-5
- Update LICENSE to 3.01

* Thu Aug 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.0.2-4
- fix license tag

* Sun Jan 14 2007 Christopher Stone <chris.stone@gmail.com> 1.0.2-3
- Use correct version of PHP License

* Thu Dec 07 2006 Christopher Stone <chris.stone@gmail.com> 1.0.2-2
- Add Image dir to %%files

* Sun Dec 03 2006 Christopher Stone <chris.stone@gmail.com> 1.0.2-1
- Initial Release
